> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# RWA List

> To query all the supported tokenized real world assets (RWAs) on CoinGecko with RWA ID, name and symbol

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

#### Notes

* Use this endpoint to get RWA IDs for other endpoints that require an `id` parameter.
* Returns all RWAs by default. Use `asset_type` to retrieve stocks or commodities only.
* No pagination required — the full list is returned in a single response.
* Equivalent page on [CoinGecko Real World Assets](https://www.coingecko.com/en/real-world-assets).

<CacheInfo paidRate="5 minutes" publicRate="30 minutes" />


## OpenAPI

````yaml openapi-specs/demo-api.json get /rwas/list
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /rwas/list:
    get:
      summary: RWA List
      description: >-
        To query all the supported tokenized real world assets (RWAs) on
        CoinGecko with RWA ID, name and symbol
      operationId: rwas-list
      parameters:
        - name: asset_type
          in: query
          required: false
          description: Filter by RWA asset type.
          schema:
            type: string
            enum:
              - stock
              - commodity
      responses:
        '200':
          description: List of RWAs
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RwasList'
              example:
                - id: gold
                  symbol: xau
                  name: Gold
                  asset_type: commodity
                - id: aaon
                  symbol: aaon
                  name: AAON
                  asset_type: stock
components:
  schemas:
    RwasList:
      type: array
      items:
        type: object
        required:
          - id
          - symbol
          - name
          - asset_type
        properties:
          id:
            type: string
            description: RWA ID
          symbol:
            type: string
            description: RWA symbol
          name:
            type: string
            description: RWA name
          asset_type:
            type: string
            enum:
              - stock
              - commodity
            description: RWA asset type
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````